
c/* %W%      latest revision %G% %U% */
      subroutine FFHMO( q2 , nff , ff1 , ff2 )
c***********************************************************************

c *** Calculates gaussian form factor for harmonic oscillator nuclei

      implicit real*8 (a-h, o-z)
               real*8 Mp, MN

      dimension nifty(20)

      common /params/   hbarc, pi, Mp, MN, nz, na, nes, nwaves
      common /switch/   nifty
      common /sizes/    achp, acmp, wsp, achn, acmn, wsn

c >>> FIRST EXECUTABLE STATEMENT <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

      h2 = hbarc * hbarc

c *** protons

      rhl = q2 * achp * achp/4./h2
      rhl1 = acmp * acmp * q2/(6.0 * nz)/h2
      ff1 = 0.
      if (rhl .lt. 150.0) ff1 = (1.-(nz-2.)*rhl1)*exp(-rhl)

c *** divide out the proton form factor

      if (nifty(15) .eq. 0) ff1 = ff1 * (1.0 + q2/18.2/h2)**2
      if (nff .eq. 1) return

c *** neutron matter form factor

      rhl = q2 * achn * achn/4./h2
      rhl1 = acmn * acmn * q2/(6.0 * (na - nz))/h2
      ff2 = 0.
      if (rhl .lt. 150.0) ff2 = (1.-(na-nz-2.)*rhl1)*exp(-rhl)

c *** divide out the proton form factor

      if (nifty(15) .eq. 0) ff2 = ff2 * (1.0 + q2/18.2/h2)**2
      return

      end
