c/* %W%      latest revision %G% %U% */
      subroutine PRNIF()
c *****************************************************************************

c *** Prints out the nifties and what they are to tape6

      character*52 h(0:11,20)

      common /switch/   nifty(20)

      data h(0,1),h(1,1),h(2,1)  /'(p,n) cex', 'proton', 'neutron'/

      data h(0,2)                / 'Binding energy = Nifty(2)*5'/

      data h(0,3)                /'default--takes no action'/
      data h(1,3)  /'single scattering--Nifty(16) already used'/
      data h(2,3)                /'set T = R (non-unitary)'/
      data h(3,3)                /'double scattering for 0.5*0.5'/

      data h(0,4),h(1,4)  /'Triplet-Singlet Mixing', 'No T-S Mixing'/

      data h(0,5),h(1,5),h(2,5)  /'so,kapo', 'sin,kap0', 'so,no ang'/
      data h(3,5),h(4,5),h(5,5)  /2*'undef', 'e3b,no aay'/
      data h(6,5),h(7,5),h(8,5)  /'undef', 'e3b, aay', 'undefined'/
      data h(9,5)                /'so,aay'/

      data h(0,6),h(1,6),h(2,6)  /'no spin ms', 'ss+ds', 'ss+ds+ts'/
      data h(3,6)                /'spin 0x0.5'/
      data h(4,6),h(5,6)         /'Ustrong = Ucoulomb = 0', 'ss'/
      data h(6,6)                /'Ustrong = 0, Ucoulomb .ne. 0'/
      data h(7,6),h(8,6)         /'Im U = 0','spin 0.5*0.5'/

      data h(0,7)                /'No NN waves for l > 4'/
      data h(1,7)                /'All NN partial waves'/

      data h(0,8)                /'Use stored t''s'/
      data h(1,8)                /'Read in phases and store t''s'/

      data h(0,9)                / 'Not used by Proton code'/

      data h(0,10),h(1,10),h(2,10)     /'no Coul', '+fc+phase','+fc'/
      data h(3,10),h(4,10)       /'exact Coul', 'exact+f(q)'/

      data h(0,11),h(1,11)      /'Schroedinger', 'Relativistic (Dirac)'/

      data h(0,12),h(1,12)    /'Graz off-shell', 'F-ratios off-shell'/

      data h(2,12)               /' PEST off-shell'/

      data h(0,13),h(0,14)    /2*'undefined'/

      data h(0,15),h(1,15)       /'div p ff', 'no dv p ff'/

      data h(0,16),h(1,16)       /'rhog,rho2g', 'rhows,rh2g'/
      data h(2,16),h(3,16)       /'rhows,r2ws', 'he or d ff'/
      data h(4,16),h(5,16)       /'ns=nm,pf=0', 'fns=fnm=pm'/
      data h(6,16),h(7,16)       /'fmat*tspn',  'tsp*fs+m/2'/
      data h(8,16)               /'Ray''s ffac for C13'/
      data h(9,16)               /'Constant form factor = 1'/

      data h(0,17),h(1,17)       /'KMT'       ,'Watson '   /

      data h(0,18),h(1,18)       /'full amps',        'no E'/
      data h(2,18),h(3,18)       /'no A + B',    'no E or A + B'/
      data h(4,18)               /'no F amp for pA system'/

      data h(0,19)               / 'control to nifty(16)'/
      data h(1,19)               /'Hadjimichael ia ff''s'/
      data h(2,19)               /'full Hadjimichael'/

      data h(0,20)               /'reduced output, no tape10 for plot'/
      data h(1,20)               /'full output, no tape10 for plot'/
      data h(2,20)               /'reduced output, plot file to tape10'/
      data h(3,20)               /'full output, plot file to tape10'/

c >>> FIRST EXECUTABLE STATEMENT <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

      do 25 nif=1,20
         j = nifty(nif)
         if (nif .eq. 1) then
            if (nifty(1) .eq. -2) then
               j = 0
            else  if (nifty(1) .eq. 5) then
                     j = 1
                  else
                     j = 2
            endif
         endif
         if (nif .eq. 2) j = 0
         write(6,710) nif, nifty(nif), h(j,nif)
 25   continue

      return

 710  format(7h0nifty(,i2,2h)=,i3,10x,a,i4)

      end

