
c/* %W%      latest revision %G% %U% */
      subroutine TOTSIG( k0, scoul, sigl, xgam, lmax, nspin, nsex )
********************************************************************************

      implicit real*8 ( a-h , o-z )

      real*8   k0 , Mp , MN

      dimension tbr(100,12), tbi(100,12), tr(100,12),ti(100,12)
      dimension scoul(100)
      dimension nifty(20)

      common /params/   hbarc, pi, Mp, MN, nz, na, nes, nwaves
      common /switch/   nifty
      common /inputs/   Tlab , b , ymin1 , ymin2 , xnang,
     $                  kode , lxmax , ngp , nr
      common /Tcomn/    tr , ti , tbr , tbi

********************************************************************************

      if ( nifty(6) .eq. 8 ) go to 542
      sigel = 0.
      sigtot = 0.
      brnel = 0.
      brntot = 0.

c *** total cross section summations
c *** remove coulomb phase from  trhs
c *** n.b. the t*s still contain the short range part of the coulmb inte
c *** so they are not pure nuclear

c     if (nifty(6) .eq. 8) go to 541 ***** milt please check *****************

 542  do 560 ldum = 1,lmax
         if ((nifty(10) .eq. 0) .OR. (nifty(10) .eq. 2)) go to 540
         sigl = scoul(ldum)
         rhl5 = cos(2 * sigl)
         rhl6 = sin(2 * sigl)

         do 530 nspin = 1,2
            trc = rhl5 * tr(ldum,nspin) + rhl6 * ti(ldum,nspin)
            tic = rhl5 * ti(ldum,nspin) - rhl6 * tr(ldum,nspin)
            tr(ldum,nspin) = trc
            ti(ldum,nspin) = tic
 530     continue

 540     continue
         sigtot = sigtot + ldum * ti(ldum,1) + (ldum - 1.) * ti(ldum,2)
         brntot = brntot + ldum * tbi(ldum,1) +
     $                     (ldum - 1.) * tbi(ldum,2)
         sigel = sigel + ldum * (tr(ldum,1)**2 + ti(ldum,1)**2) +
     $                   (ldum - 1.) * (tr(ldum,2)**2 + ti(ldum,2)**2)
         brnel = brnel + ldum * (tbr(ldum,1)**2 + tbi(ldum,1)**2) +
     $                   (ldum - 1.) * (tbr(ldum,2)**2 + tbi(ldum,2)**2)
 541     if (nsex .ne. 2) go to 560

c *** 2nd pass on charge exch,redefine t

         l = ldum
         np2m = 2
         if (nifty(6) .eq. 8) np2m = 6

         do 550 n = 1,np2m
            np2 = n + np2m
            tbr(l,n) = tbr(l,np2)
            tbi(l,n) = tbi(l,np2)
            tr(l,n) = tr(l,np2)
            ti(l,n) = ti(l,np2)
 550     continue

 560  continue

      if (nifty(6) .eq. 8) then
         return
      endif
      rhl = 10. * 4. * pi * (hbarc/k0)**2
      sigtot = rhl * sigtot
      sigel = sigel * rhl
      brnel = brnel * rhl
      brntot = brntot * rhl
      rhl = sigtot - sigel
      write (6,1130) sigtot, sigel, rhl, Tlab, xgam, brntot, brnel

      RETURN

c *** formats ***

 1130 format (1h0,22htotal cross-section  =,f10.3,9x,8helast , ,
     $20hinel cross-section =,2f10.3//19h cross-sections  in,22h milliba
     $rns  ---------,25h energy(kinetic),gamcoul=,f10.1,e11.3/20h born a
     $pprox total =,f10.3,28h elastic              sigma=,f10.3)

      end
